Bug 1610055 - [RFE] CFME 5.9.4 - support ssh transport method
Summary: [RFE] CFME 5.9.4 - support ssh transport method
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.9.4
Assignee: Fabien Dupont
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On: 1564251
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 23:40 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
12 users (show)

Fixed In Version: 5.9.4.3
Doc Type: Enhancement
Doc Text:
Clone Of: 1564251
Environment:
Last Closed: 2018-09-04 18:01:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:39 UTC

Comment 2 CFME Bot 2018-07-31 01:01:36 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/ba2c204a76cf249b41aa63d814d0e674e28c0140
commit ba2c204a76cf249b41aa63d814d0e674e28c0140
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jul 25 14:45:22 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Jul 25 14:45:22 2018 -0400

    Merge pull request #359 from fdupont-redhat/v2v_refactor_vmtransform_method_for_ssh_support

    Refactor to add support for SSH transport method
    (cherry picked from commit a7035b74981613ef2b242d646c38568c24e09371)

    https://bugzilla.redhat.com/show_bug.cgi?id=1610055

 content/automate/ManageIQ/Transformation/Common.class/__methods__/acquiretransformationhost.rb | 11 +-
 content/automate/ManageIQ/Transformation/Common.class/__methods__/assesstransformation.rb | 11 +-
 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/restorevmattributes.rb | 3 +-
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/__class__.yaml | 200 -
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/posttransform.yaml | 59 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/pretransform.yaml | 35 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/transform.yaml | 36 +
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/transformation.yaml | 73 +-
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/vmwarews2rhevm_vddk.yaml | 61 -
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/utils.rb | 93 +-
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/utils.yaml | 3 +
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/vmchecktransformed.rb | 83 +
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/vmchecktransformed.yaml | 16 +
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/vmtransform.rb | 72 +
 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/vmtransform.yaml | 17 +
 content/automate/ManageIQ/Transformation/TransformationHosts/ovirt_host.class/__methods__/vmchecktransformed_vmwarews2rhevm_vddk.rb | 83 -
 content/automate/ManageIQ/Transformation/TransformationHosts/ovirt_host.class/__methods__/vmchecktransformed_vmwarews2rhevm_vddk.yaml | 15 -
 content/automate/ManageIQ/Transformation/TransformationHosts/ovirt_host.class/__methods__/vmtransform_vmwarews2rhevm_vddk.rb | 104 -
 content/automate/ManageIQ/Transformation/TransformationHosts/ovirt_host.class/__methods__/vmtransform_vmwarews2rhevm_vddk.yaml | 17 -
 19 files changed, 429 insertions(+), 563 deletions(-)

Comment 4 CFME Bot 2018-08-06 12:42:03 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/deab31446d813bfafa3ab62083b5b943f2983b93
commit deab31446d813bfafa3ab62083b5b943f2983b93
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Fri Aug  3 11:56:38 2018 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Fri Aug  3 11:56:38 2018 -0400

    Merge pull request #393 from fdupont-redhat/v2v_fix_virtv2v_success_check

    Transformation - Fix virt-v2v success check
    (cherry picked from commit 6d3d0a31d1938e631637038935394b83ce078a6c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1610055

 content/automate/ManageIQ/Transformation/TransformationHosts/Common.class/__methods__/vmchecktransformed.rb | 8 +-
 1 file changed, 4 insertions(+), 4 deletions(-)

Comment 5 Kedar Kulkarni 2018-08-09 17:46:56 UTC
on CFME 5.9.4.3 I am able to Migrate VMs using SSH transformation method. Although Progress bar does not update correctly: https://bugzilla.redhat.com/show_bug.cgi?id=1613919

Comment 7 errata-xmlrpc 2018-09-04 18:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.